jni: Add all dependencies and their compilation scripts
Compilation has been verified for all target platforms using a slightly
modified version of CrystaX NDK 10.1.0 (the issue has been resolved with
not yet release 10.2.0)
Change-Id: I99f6c270ae8732adfa402d75ba04f42b179a1a9b
diff --git a/.jenkins.d/10-get-sdk.sh b/.jenkins.d/10-get-sdk.sh
new file mode 100644
index 0000000..e17e09c
--- /dev/null
+++ b/.jenkins.d/10-get-sdk.sh
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+set -e
+set -x
+
+SDK_TOOLS_VERSION=24.0.2
+BUILD_TOOLS_VERSION=21.1.2
+COMPILE_SDK_VERSION=21
+
+export ANDROID_HOME=`pwd`/android-sdk-linux
+export PATH=${PATH}:${ANDROID_HOME}/tools:${ANDROID_HOME}/platform-tools
+export PATH=$PATH:`pwd`/gradle-2.2.1/bin
+
+if [ ! -d android-sdk-linux ]; then
+ wget -q http://dl.google.com/android/android-sdk_r24.0.2-linux.tgz
+ tar zxf android-sdk_r24.0.2-linux.tgz
+ rm android-sdk_r24.0.2-linux.tgz
+
+ echo "y" | android update sdk --filter platform-tools,build-tools-$BUILD_TOOLS_VERSION,android-$COMPILE_SDK_VERSION,extra-android-support,extra-android-m2repository,extra-google-m2repository --no-ui --all --force
+ echo "y" | android update sdk --filter "android-19" --no-ui --all --force
+fi
+
+wget -q https://services.gradle.org/distributions/gradle-2.2.1-bin.zip
+unzip gradle-2.2.1-bin.zip
+rm gradle-2.2.1-bin.zip
+
+echo sdk.dir=`pwd`/android-sdk-linux >> local.properties